import request from '@/utils/request'

// 查询微信内容管理列表
export function listReply(query) {
    return request({
        url: '/wxManage/wxreply/list',
        method: 'get',
        params: query
    })
}

// 查询微信内容管理详细
export function getReply(replyId) {
    return request({
        url: '/wxManage/wxreply/' + replyId,
        method: 'get'
    })
}

// 查询微信内容管理详细
export function getReplyByType(replyType) {
  return request({
    url: '/wxManage/wxreply/getInfoByReplyType',
    method: 'get',
    params: {'replyType': replyType}
  })
}

// 新增微信内容管理
export function addReply(data) {
    return request({
        url: '/wxManage/wxreply/add',
        method: 'post',
        data: data
    })
}

// 修改微信内容管理
export function updateReply(data) {
    return request({
        url: '/wxManage/wxreply/edit',
        method: 'put',
        data: data
    })
}

// 删除微信内容管理
export function delReply(replyId) {
    return request({
        url: '/wxManage/wxreply/' + replyId,
        method: 'delete'
    })
}

export function uploadMaterial(data) {
  return request({
    url: '/crm/wechatSetting/uploadMaterial',
    method: 'post',
    data: data
  })
}
// 查询图文回复列表
export function getPicTextReplyList() {
  return request({
    url: '/wxManage/wxreply/getPicTextReplyList',
    method: 'get'
  })
}

